Subject: Re: bug#19865: tar-untar-buffer: should honor default-directory

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 Feb 2015 20:43:17 -0500

> So we now need someone third to resolve the tie.

I don't see why you object: the command is executed by the user in one
buffer, and it just so happens that its implementation switches
to some internal auxiliary buffer.  The value of `default-directory'
that should be used is the one that the user knows about, not the one
kept by the hidden buffer, over which the user has no control.

This behavior is an unintended result of my change in tar-mode where we
now have 2 buffers (rather than keeping all the raw tar data in the same
buffer as the pretty list, hidden via narrowing).

        Stefan